> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/custom-attestation-types/get-custom-attestation-type",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get custom attestation type

> Get a custom attestation type.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /custom-attestation-types/{org}/{custom_attestation_type_name}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /custom-attestation-types/{org}/{custom_attestation_type_name}:
    get:
      tags:
        - Custom Attestation Types
      summary: Get custom attestation type
      description: Get a custom attestation type.
      operationId: >-
        get_custom_attestation_type_custom_attestation_types__org___custom_attestation_type_name__get
      parameters:
        - name: custom_attestation_type_name
          in: path
          required: true
          schema:
            type: string
            title: Custom Attestation Type Name
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: version
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Version of the custom attestation type
            title: Version
          description: Version of the custom attestation type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````